# Method Concurrent.first_completed()

Method first_completed

  ``variant` `Future` first_completed(`array`(`Future`) `futures`)`
  ``variant` `local` `Future` first_completed(`Future` ... `futures`)`

Returns

  A Future that represents the first of the `futures` that completes.

Note

  The returned Future does NOT have any state (eg backend) propagated from the `futures`. This must be done by hand.

See also

  race(), Promise.first_completed()